package me.lensfrex.manager;

import me.lensfrex.manager.utils.IOUtil;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.nio.charset.StandardCharsets;

public class Main {
    private static final String welcomeMessage = IOUtil.inputStreamToString(Main.class.getResourceAsStream("/me.lensfrex.manager/welcomeMessage.txt"), StandardCharsets.UTF_8);

    public static void main(String[] args) {
        System.out.println(welcomeMessage);
        new Main().run();
    }

    private void run() {
        while (true) {
            if (parseCommand(getUserCommand()) == -1) {
                break;
            }
        }
    }

    private String getUserCommand() {
        BufferedReader command = new BufferedReader(new InputStreamReader(System.in));
        try {
            return command.readLine();
        } catch (Exception e) {
            e.printStackTrace();
            return "null";
        }
    }

    private int parseCommand(String command) {
        switch (command) {
            case "null":
            case "0":
                return -1;
            case "1":
            case "2":
            case "3":
            case "4":
            case "5":
            case "6":
            case "7":
            case "8":
            case "9":
            case "10":
                return 0;
            case "11":
                System.out.println(welcomeMessage);
                return 0;
            default:
                return 0;
        }
    }
}
